ANT(1)

NAME
ant - a typesetting system, "Ant is not TeX"

SYNOPSIS
ant [ options ] file...

DESCRIPTION
ant is a typesetting system inspired by TEX. Although TEX does a very good job when typesetting mathematical articles and books - the task it has been designed for - it can become very difficult, cumbersome, or even impossible to meet the typographical requirements of texts outside this narrow scope. For instance, the current draft of the new output routine for LATEX consists of more than 100 pages. Unfortunately, it is also very difficult to extend the functionality of TEX since its source code is a total mess. Even after 20 years there are only versions with minor modifications available.

For these reasons I decided to rewrite it from scratch aiming for a simple, clean, and modular design. In particular it is easily possible to replace parts of ANT with other implementations, say, adding an XML parser, output routines for PDF files, or a different page layout algorithm. The current version of ANT implements all the major features of TEX but a lot of minor things are still missing. In addition, ANT provides several improvements over TEX:

*   a saner macro language (no catcodes);

*   a builtin high-level scripting language;

*   UNICODE support;

*   support for various font formats including Type1, TrueType, and OpenType;

*   partial support for advanced OpenType features;

*   support for colour and graphics;

*   simple page layout specifications;

*   river detection.

OPTIONS

--help
    writes a help message to standard error.

--format=format
    selects the output format. Supported are dvi, xdvi, pdf (default), ps (PostScript), and svg. The latter two are only partially implemented.

--src-specials
    enables the generation of source specials.

--debug=flags
    enables debug messages. flags is a combination of the following letters:

    a   AL commands;

    b   AL bytecode;

    e   the typesetting engine;

    g   galley breaking;

    i   the current input;

    l   line breaking;

    m   macro expansion;

    p   page layout;

    s   various stacks.

AUTHOR
Achim Blumensath,

SEE ALSO
http://ant.berlios.de/

"ANT, A Typesetting System", Achim Blumensath.